import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsManagerrole {
  [PrimaryKeyProp]?: ['Id', 'ManagerId', 'RoleId'];
  Id!: IType<number, bigint>;
  ManagerId!: IType<number, bigint>;
  RoleId!: IType<number, bigint>;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsManagerroleSchema = defineEntity({
  class: ScsManagerrole,
  comment: '管理角色表',
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).comment('主键Id'),
    ManagerId: p.bigint().primary().name('ManagerId').columnType('bigint').unsigned(false).comment('管理员id'),
    RoleId: p.bigint().primary().name('RoleId').columnType('bigint').unsigned(false).comment('角色id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
